package idi.gate.associationrules;

import java.util.ArrayList;

public class Configuration {
	
	private static Configuration instance;
	
	private String inputAnnotationSetName;
	private String annotationName;
	private int nofFrequentTerms;
	private float minimumSupport;
	private float miniumConfidence;
	private ArrayList<String> stopWordList;
	
	private Configuration() {
	}
	
	public static Configuration getInstance() {
		if (instance == null) instance = new Configuration();
		return instance;
	}

	public String getAnnotationName() {
		return annotationName;
	}

	public void setAnnotationName(String annotationName) {
		this.annotationName = annotationName;
	}

	public String getInputAnnotationSetName() {
		return inputAnnotationSetName;
	}

	public void setInputAnnotationSetName(String inputAnnotationSetName) {
		this.inputAnnotationSetName = inputAnnotationSetName;
	}

	public int getNofFrequentTerms() {
		return nofFrequentTerms;
	}

	public void setNofFrequentTerms(Integer nofFrequentTerms) {
		this.nofFrequentTerms = nofFrequentTerms.intValue();
	}

	public float getMinimumSupport() {
		return minimumSupport;
	}

	public void setMinimumSupport(Float minimumSupport) {
		this.minimumSupport = minimumSupport.floatValue();
	}

	public float getMiniumConfidence() {
		return miniumConfidence;
	}

	public void setMiniumConfidence(Float miniumConfidence) {
		this.miniumConfidence = miniumConfidence.floatValue();
	}

	public ArrayList<String> getStopWordList() {
		return stopWordList;
	}

	public void setStopWordList(ArrayList<String> stopWordList) {
		this.stopWordList = stopWordList;
	}

}
