package idi.testframework;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;


public class MyConcepts {
	private ArrayList<String> concepts;
	
	public MyConcepts (URL file) {
		concepts = new ArrayList<String>();
		try {
			initialize(file);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public void initialize(URL file) throws IOException {

		String fileURL = file.getFile();
		FileInputStream fis = new FileInputStream(fileURL);
		InputStreamReader isr = new InputStreamReader(fis);
		BufferedReader br = new BufferedReader(isr);
		
		String data;
	
		while ((data = br.readLine()) != null ) {
			data = data.trim();
			concepts.add(data);
		}
		br.close();
	
	}
	
	public void printConcepts() {
		for (String concept : concepts) {
			System.out.println(concept);
		}
		System.out.println("Antall: " + concepts.size());
	}
	
	public ArrayList<String> getConcepts() {
		return concepts;
	}
	
	public static void main(String args[]) {
		try {

			MyConcepts myConcepts = new MyConcepts(new URL("file:/C:/kvarv/Diplom/resultater/for real/" +
					"concepts - support=0.05, confidence=0.75, nofTerms=45.txt"));
			myConcepts.printConcepts();
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
	}


}
