package idi.testframework;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.TreeMap;
import java.util.Map.Entry;

public class MyRelatedConcepts {
	private TreeMap<String, ArrayList<String>> relatedConceptsMap;
	
	public MyRelatedConcepts (URL file) {
		relatedConceptsMap = new TreeMap<String, ArrayList<String>>();
		try {
			initialize(file);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public void initialize(URL file) throws IOException {

		String fileURL = file.getFile();
		FileInputStream fis = new FileInputStream(fileURL);
		InputStreamReader isr = new InputStreamReader(fis);
		BufferedReader br = new BufferedReader(isr);
		
		String data;
	
		while ((data = br.readLine()) != null ) {
			data = data.trim();
			String[] array = data.split(",");
			String concept = array[0];
			ArrayList<String> relatedConcepts = new ArrayList<String>();
			for (int i = 1; i < array.length; i++) {
				relatedConcepts.add(array[i]);
			}
			relatedConceptsMap.put(concept, relatedConcepts);
		}
		br.close();
	
	}
	
	public void printRelatedConcepts() {
		Iterator iterator = relatedConceptsMap.entrySet().iterator();
		while(iterator.hasNext()){
			Entry<String, ArrayList<String>> entry = (Entry<String, ArrayList<String>>) iterator.next();
			String key = entry.getKey();
			if (key.equals("control")) {
				ArrayList<String> value = entry.getValue();
					System.out.println("Konsept: "+key.toUpperCase()+"\n");
				for (int i = 0; i < value.size(); i++) {
					System.out.println("   "+ value.get(i));
				}
			}
		}
	}

	public TreeMap<String, ArrayList<String>> getRelatedConceptsMap() {
		return relatedConceptsMap;
	}
	
	public static void main(String args[]) {
		try {

			MyRelatedConcepts myRelatedConcepts = new MyRelatedConcepts(new URL("file:/C:/kvarv/Diplom/resultater/for real/" +
					"environments - support=0.05, confidence=0.75, nofTerms=45.txt"));
			myRelatedConcepts.printRelatedConcepts();
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
	}



}

